[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DockTrackNoTarget

Adjust the DockRect for floating state (no drop target under the mouse).

## Declaration

Source position: controls.pp line 1466

`protected procedure TControl.DockTrackNoTarget(`
`Source: TDragDockObject;`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Arguments

`Source` |  | The dragged DockObject, containing the DockRect to adjust.
`X` |  | The horizontal mouse position in screen coordinates.
`Y` |  | The vertical mouse position in screen coordinates.